Results 1 to 3 of 3

Thread: Using Plugin with Webstorm 10.0.4 failed

  1. #1
    Ext JS Premium Member
    Join Date
    Mar 2010
    Posts
    194

    Default Answered: Using Plugin with Webstorm 10.0.4 failed

    First I must say that I am a Java noob! I installed a fresh version of Webstorm 10.0.4 and installed the latest plugin Version. After Webstorm restartet I saw only this:

    Code:
    Plugin 'com.sencha.idea.IdeaPlugin' failed to initialize and will be disabled.  Please restart WebStorm.
    
    java.lang.NoClassDefFoundError: groovy/lang/GroovyObject
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:760)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:642)
        at com.intellij.util.lang.UrlClassLoader._defineClass(UrlClassLoader.java:259)
        at com.intellij.util.lang.UrlClassLoader.defineClass(UrlClassLoader.java:255)
        at com.intellij.util.lang.UrlClassLoader._findClass(UrlClassLoader.java:231)
        at com.intellij.ide.plugins.cl.PluginClassLoader.b(PluginClassLoader.java:124)
        at com.intellij.ide.plugins.cl.PluginClassLoader.a(PluginClassLoader.java:77)
        at com.intellij.ide.plugins.cl.PluginClassLoader.loadClass(PluginClassLoader.java:66)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
        at java.lang.Class.forName0(Native Method)
        at java.lang.Class.forName(Class.java:348)
        at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentsRegistry.a(ComponentManagerImpl.java:427)
        at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentsRegistry.a(ComponentManagerImpl.java:417)
        at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentsRegistry.access$000(ComponentManagerImpl.java:403)
        at com.intellij.openapi.components.impl.ComponentManagerImpl.a(ComponentManagerImpl.java:108)
        at com.intellij.openapi.components.impl.ComponentManagerImpl.init(ComponentManagerImpl.java:87)
        at com.intellij.openapi.components.impl.stores.ApplicationStoreImpl.load(ApplicationStoreImpl.java:101)
        at com.intellij.openapi.application.impl.ApplicationImpl.load(ApplicationImpl.java:499)
        at com.intellij.openapi.application.impl.ApplicationImpl.load(ApplicationImpl.java:481)
        at com.intellij.idea.IdeaApplication.run(IdeaApplication.java:170)
        at com.intellij.idea.MainImpl$1$1$1.run(MainImpl.java:62)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
        at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:749)
        at java.awt.EventQueue.access$500(EventQueue.java:97)
        at java.awt.EventQueue$3.run(EventQueue.java:702)
        at java.awt.EventQueue$3.run(EventQueue.java:696)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:75)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:719)
        at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:362)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
    Caused by: java.lang.ClassNotFoundException: groovy.lang.GroovyObject PluginClassLoader[com.sencha.idea.IdeaPlugin, 6.0.2.414]
        at com.intellij.ide.plugins.cl.PluginClassLoader.loadClass(PluginClassLoader.java:68)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
        ... 37 more

  2. Did you download the plugin from the Sencha Support portal or the JetBrains plugin repo (accessible from the IDE)?

    We've seen some users have this problem when they have a corrupted download.

    Please uninstall the plugin, download it again, and reinstall it.

  3. #2
    Sencha - Dev Team Chris.OBrien's Avatar
    Join Date
    Mar 2015
    Posts
    147
    Answers
    51

    Default

    Did you download the plugin from the Sencha Support portal or the JetBrains plugin repo (accessible from the IDE)?

    We've seen some users have this problem when they have a corrupted download.

    Please uninstall the plugin, download it again, and reinstall it.

  4. #3
    Sencha - Dev Team Chris.OBrien's Avatar
    Join Date
    Mar 2015
    Posts
    147
    Answers
    51

    Default

    If you want to verify the download, the MD5 Sum for the 6.0.2 release is: 120c4881cdea9d7ae73360a13023bd55

Similar Threads

  1. [FIXED] Webstorm Plugin doesn't recognize Store
    By christianb in forum JetBrains IDE Plugin
    Replies: 7
    Last Post: 9 Jul 2016, 9:23 AM
  2. Jetbrains WebStorm / PHPStorm IDE plugin
    By malstroem in forum JetBrains IDE Plugin
    Replies: 3
    Last Post: 16 Jun 2015, 7:40 AM
  3. [WebStorm plugin] Ext.log.Logger missing
    By Tarabass in forum JetBrains IDE Plugin
    Replies: 9
    Last Post: 11 Jun 2015, 5:32 AM
  4. [FIXED] Webstorm plugin does not recognize views
    By nikolay.bobrovskiy in forum JetBrains IDE Plugin
    Replies: 3
    Last Post: 18 May 2015, 7:08 AM
  5. [FIXED] Plugin in WebStorm produces errors
    By [email protected] in forum JetBrains IDE Plugin
    Replies: 2
    Last Post: 15 Apr 2015, 5:29 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •